Subject: Re: GCC 3.3-Signal 11
From: Kelley Cook <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 6 Feb 2003 23:19:03 -0500

[This followup was posted to gmane.comp.gcc.devel and a copy 
was sent to the cited author.]

In article <GGEKKFKDCKKAHNCJOFCNGEDMCAAA.bmj2001
@bellsouth.net>, [email-masked] says...
> 
> This is where the fault is at.
> 
> 
> ____________________________________________________________________________
> ________________
> for f in $gf; do \
> echo "\"$f\", "; done >> tmp-gtyp.h
> echo " NULL};" >> tmp-gtyp.h
> echo "static const char *lang_dir_names[] = { \"c\", " >> tmp-gtyp.h
> gf="cp f java objc"; \
> for l in $gf; do \
> echo "\"$l\", "; done >> tmp-gtyp.h
> echo "NULL};" >> tmp-gtyp.h
> /bin/sh ../../gcc/gcc/move-if-change tmp-gtyp.h gtyp-gen.h
> gcc -c   -g  -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissi
> ng-p
> rototypes -Wtraditional -pedantic -Wno-long-long   -DHAVE_CONFIG_H -DGENERAT
> OR_F
> ILE   -DCYGWIN_CROSS_DIR=\"/usr/local/i686-pc-cygwin\" -I. -I. -I../../gcc/g
> cc -
> I../../gcc/gcc/. -I../../gcc/gcc/config -I../../gcc/gcc/../include \
>   ../../gcc/gcc/gengtype.c -o gengtype.o
> gcc -c   -g  -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissi
> ng-p
> rototypes -Wtraditional -pedantic -Wno-long-long   -DHAVE_CONFIG_H -DGENERAT
> OR_F
> ILE   -DCYGWIN_CROSS_DIR=\"/usr/local/i686-pc-cygwin\" -I. -I. -I../../gcc/g
> cc -
> I../../gcc/gcc/. -I../../gcc/gcc/config -I../../gcc/gcc/../include \
>   ../../gcc/gcc/gengtype-lex.c -o gengtype-lex.o
> gcc -c   -g  -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissi
> ng-p
> rototypes -Wtraditional -pedantic -Wno-long-long   -DHAVE_CONFIG_H -DGENERAT
> OR_F
> ILE   -DCYGWIN_CROSS_DIR=\"/usr/local/i686-pc-cygwin\" -I. -I. -I../../gcc/g
> cc -
> I../../gcc/gcc/. -I../../gcc/gcc/config -I../../gcc/gcc/../include \
>   ../../gcc/gcc/gengtype-yacc.c -o gengtype-yacc.o
> gcc   -g  -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-
> prot
> otypes -Wtraditional -pedantic -Wno-long-long   -DHAVE_CONFIG_H -DGENERATOR_
> FILE
>   -o gengtype.exe \
>  gengtype.o gengtype-lex.o gengtype-yacc.o ../libiberty/libiberty.a
> ./gengtype
> Signal 11
> make[2]: *** [s-gtype] Error 139
> make[2]: Leaving directory `/home/Robert/gcc-3.3/o/gcc'
> make[1]: *** [stage1_build] Error 2

It's not a GCC problem.

Cygwin 1.3.19 added in support for vasprintf (previously GCC 
would use the version included in libiberty).  

Unfortunately, Cygwin's (actually newlib's) vasprintf is not 
quite right and it bombs under certain circumstances.  
Supposedly that bug has been corrected, but it still crashes 
for me with the Feb 3rd cygwin snapshot.

Kelley Cook

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/